[Overview][Procedures and functions][Index] | Reference for unit 'Strings' (#rtl)

# strpos

Search for a null-terminated substring in a null-terminated string

## Declaration

Source position: strings.pp line 88

`function strpos(`
`str1: PChar;`
`str2: PChar`
`):PChar;`

## Description

Returns a pointer to the first occurrence of S2 in S1. If S2 does not occur in S1, returns Nil.

## Errors

None.

## See also

StrScan |  | Find first occurrence of a character in a null-terminated string.
StrRScan |  | Find last occurrence of a character in a null-terminated string.

## Example

    Program Example15;

    Uses strings;

    { Program to demonstrate the StrPos function. }

    Const P : PChar = 'This is a PChar string.';
          S : Pchar = 'is';
    begin
      Writeln ('Position of ''is'' in P : ',sizeint(StrPos(P,S))-sizeint(P));
    end.